Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# CORBA::ServerRequest Class Reference

`#include <Server_Request.h>`

Collaboration diagram for CORBA::ServerRequest:

[legend]
List of all members.

## Public Types
typedef CORBA::ServerRequest_ptr | _ptr_type
## Public Methods
| ServerRequest (TAO_ServerRequest &orb_server_request)
| ~ServerRequest (void)
void | arguments (CORBA::NVList_ptr &list ACE_ENV_ARG_DECL_WITH_DEFAULTS)
void | set_result (const CORBA::Any &value ACE_ENV_ARG_DECL_WITH_DEFAULTS)
void | set_exception (const CORBA::Any &value ACE_ENV_ARG_DECL_WITH_DEFAULTS)
void | dsi_marshal (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)
CORBA::Context_ptr | ctx (void) const
void | ctx (CORBA::Context_ptr)
const char * | operation (void) const
CORBA::ULong | _incr_refcnt (void)
CORBA::ULong | _decr_refcnt (void)
void | _tao_lazy_evaluation (bool lazy_evaluation)
int | _tao_incoming_byte_order (void) const
void | _tao_reply_byte_order (int byte_order)
TAO_ServerRequest & | _tao_server_request (void)
| Return a reference to the underlying TAO_ServerRequest object.
void | gateway_exception_reply (ACE_CString &raw_exception)
## Static Public Methods
ServerRequest_ptr | _duplicate (ServerRequest_ptr)
ServerRequest_ptr | _nil (void)
## Private Attributes
bool | lazy_evaluation_
CORBA::Context_ptr | ctx_
CORBA::NVList_ptr | params_
CORBA::Any_ptr | retval_
CORBA::Any_ptr | exception_
CORBA::ULong | refcount_
TAO_SYNCH_MUTEX | lock_
TAO_ServerRequest & | orb_server_request_
int | sent_gateway_exception_

## Member Typedef Documentation

typedef CORBA::ServerRequest_ptr CORBA::ServerRequest::_ptr_type

## Constructor & Destructor Documentation

CORBA::ServerRequest::ServerRequest | ( | TAO_ServerRequest & | orb_server_request | ) |

CORBA::ServerRequest::~ServerRequest | ( | void |  | ) |

## Member Function Documentation

CORBA::ULong CORBA::ServerRequest::_decr_refcnt | ( | void |  | ) |

ACE_INLINE CORBA::ServerRequest_ptr CORBA::ServerRequest::_duplicate | ( | ServerRequest_ptr |  | ) | `[static]`

CORBA::ULong CORBA::ServerRequest::_incr_refcnt | ( | void |  | ) |

ACE_INLINE CORBA::ServerRequest_ptr CORBA::ServerRequest::_nil | ( | void |  | ) | `[static]`

ACE_INLINE int CORBA::ServerRequest::_tao_incoming_byte_order | ( | void |  | ) | const

ACE_INLINE void CORBA::ServerRequest::_tao_lazy_evaluation | ( | bool | lazy_evaluation | ) |

ACE_INLINE void CORBA::ServerRequest::_tao_reply_byte_order | ( | int | byte_order | ) |

ACE_INLINE TAO_ServerRequest & CORBA::ServerRequest::_tao_server_request | ( | void |  | ) |

| Return a reference to the underlying TAO_ServerRequest object.

void CORBA::ServerRequest::arguments | ( | CORBA::NVList_ptr &list | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) |

ACE_INLINE void CORBA::ServerRequest::ctx | ( | CORBA::Context_ptr |  | ) |

ACE_INLINE CORBA::Context_ptr CORBA::ServerRequest::ctx | ( | void |  | ) | const

void CORBA::ServerRequest::dsi_marshal | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) |

void CORBA::ServerRequest::gateway_exception_reply | ( | ACE_CString & | raw_exception | ) |

ACE_INLINE const char * CORBA::ServerRequest::operation | ( | void |  | ) | const

void CORBA::ServerRequest::set_exception | ( | const CORBA::Any &value | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) |

void CORBA::ServerRequest::set_result | ( | const CORBA::Any &value | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) |

## Member Data Documentation

CORBA::Context_ptr CORBA::ServerRequest::ctx_`[private]`

CORBA::Any_ptr CORBA::ServerRequest::exception_`[private]`

bool CORBA::ServerRequest::lazy_evaluation_`[private]`

TAO_SYNCH_MUTEX CORBA::ServerRequest::lock_`[private]`

TAO_ServerRequest& CORBA::ServerRequest::orb_server_request_`[private]`

CORBA::NVList_ptr CORBA::ServerRequest::params_`[private]`

CORBA::ULong CORBA::ServerRequest::refcount_`[private]`

CORBA::Any_ptr CORBA::ServerRequest::retval_`[private]`

int CORBA::ServerRequest::sent_gateway_exception_`[private]`

The documentation for this class was generated from the following files:

- Server_Request.h
- Server_Request.cpp
- Server_Request.inl